Name:           flameshot
Version:        0.8.5
Release:        %mkrel 2
Summary:        Powerful and simple to use screenshot software
# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/lupoDharkael/flameshot#license
License:        GPLv3+ and ASL 2.0 and GPLv2 and LGPLv3 and Free Art
Group:          Graphics/Utilities
URL:            https://github.com/lupoDharkael/flameshot
Source0:        https://github.com/lupoDharkael/flameshot/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
# TODO unbundled qtsingleapplication with cmake
#BuildRequires:  qtsingleapplication-qt5-devel

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gcc

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.

%prep
%autosetup -p1

# unbundle qtsingleapplication
#rm -r external/singleapplication

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%find_lang Internationalization --with-qt

%files -f Internationalization.lang
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/org.%{name}.Flameshot.metainfo.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/*%{name}.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 0.8.5-2.mga8
+ Revision: 1658446
- Rebuild for new Qt5

* Mon Oct 19 2020 daviddavid <daviddavid> 0.8.5-1.mga8
+ Revision: 1636931
- new version: 0.8.5

* Mon Sep 28 2020 daviddavid <daviddavid> 0.8.3-1.mga8
+ Revision: 1630944
- new version: 0.8.3

* Thu Sep 24 2020 daviddavid <daviddavid> 0.8.1-1.mga8
+ Revision: 1629848
- new version: 0.8.1

* Tue Jul 21 2020 daviddavid <daviddavid> 0.6.0-2.mga8
+ Revision: 1607706
- add patch to fix build with Qt 5.15
- use system qtsingleapplication
- initial package flameshot (mga#25458)

